<template>
  <info-card title="Información de capacidad">
    <v-container fluid>
      <info-field field="Capacidad disponible">
        <v-text-field
          label=""
          :value="area.availableCapacity"
          suffix="pallets"
          outlined
          readonly
        />
      </info-field>
      <large-info-field field="Pallets almacenados">
        <v-container fluid>
          <pallets-table />
        </v-container>
      </large-info-field>
    </v-container>
  </info-card>
</template>

<script>
import { mapState } from 'vuex';
import InfoCard from '~/components/Common/Info/InfoCard';
import InfoField from '~/components/Common/Info/InfoField';
import LargeInfoField from '~/components/Common/Info/LargeInfoField';
import PalletsTable from '~/components/Storage/Areas/Details/PalletsTable';

export default {
  name: 'CapacityInfo',
  components: {
    InfoCard,
    InfoField,
    LargeInfoField,
    PalletsTable,
  },
  computed: {
    ...mapState({
      area: state => state.storage.areas.current.area,
    }),
  },
};
</script>
